Subject: bug#77257: inhibit-message should inhibit echo area clearing too

From: Stefan Monnier <[email-masked]>
Date: Sun, 30 Mar 2025 11:01:33 -0400

> That said, if everyone else (CC'ed) think I'm too cautious, I will
> make t inhibit clearing the echo-area as well.

I'm in favor of the change.  I think it's very odd that (message "Haha")
ends up just clearing the echo area.  To me, the purpose of
`inhibit-message` is not to hide the messages that would be displayed
but to prevent those messages from interfering with other messages.

        Stefan